=== debian/changelog ===
r-cran-rcsdp (0.1.57.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.1.57.2

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:44:19 +0530

r-cran-rcsdp (0.1.57.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Upstream does not provide any test thus remove autopkgtest

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Oct 2021 19:37:53 +0530

r-cran-rcsdp (0.1.57.1-1) unstable; urgency=medium

  * Initial release (closes: #995489)

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Oct 2021 15:14:11 +0200
