=== debian/control ===
Source: r-cran-rcsdp
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcsdp.git
Homepage: https://cran.r-project.org/package=Rcsdp
Rules-Requires-Root: no

Package: r-cran-rcsdp
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Interface to the CSDP Semidefinite Programming Library
 R interface to the CSDP semidefinite programming library. Installs
 version 6.1.1 of CSDP from the COIN-OR website if required. An
 existing installation of CSDP may be used by passing the proper
 configure arguments to the installation command. See the INSTALL file
 for further details.
