=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Rcsdp_([-\d.]*)\.tar\.gz
