## r-cran-rcsdp 0.1.57.4

=== DESCRIPTION ===
Package: Rcsdp
Version: 0.1.57.4
Title: R Interface to the CSDP Semidefinite Programming Library
Authors@R: c(
    person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
    person("Florian", "Schwendinger", email="FlorianSchwendinger@gmx.at", role=c("ctb")),
    person("Brian", "Borchers", role="aut"),
    person("Don", "van den Bergh", role="ctb")
  )
Description: R interface to the CSDP semidefinite programming library. Installs version 6.1.1 of CSDP from the COIN-OR website if required. An existing installation of CSDP may be used by passing the proper configure arguments to the installation command. See the INSTALL file for further details.
LazyLoad: yes
Imports: methods
Enhances: Matrix
License: CPL-1.0
URL: https://github.com/coin-or/Csdp/
RoxygenNote: 7.0.2
BugReports: https://github.com/hcorrada/rcsdp/issues
NeedsCompilation: yes
Packaged: 2022-12-13 16:17:49 UTC; f
Author: Hector Corrada Bravo [aut, cre],
  Florian Schwendinger [ctb],
  Brian Borchers [aut],
  Don van den Bergh [ctb]
Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-14 06:32:18 UTC
