=== debian/changelog ===
r-cran-rcsdp (0.1.57.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:02:32 +0100
