## r-cran-rcsdp 0.1.57.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: Rcsdp
-Version: 0.1.57.4
+Version: 0.1.57.5
 Title: R Interface to the CSDP Semidefinite Programming Library
 Authors@R: c(
     person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
@@ -16,11 +16,11 @@
 RoxygenNote: 7.0.2
 BugReports: https://github.com/hcorrada/rcsdp/issues
 NeedsCompilation: yes
-Packaged: 2022-12-13 16:17:49 UTC; f
+Packaged: 2023-04-10 09:36:22 UTC; hornik
 Author: Hector Corrada Bravo [aut, cre],
   Florian Schwendinger [ctb],
   Brian Borchers [aut],
   Don van den Bergh [ctb]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-14 06:32:18 UTC
+Date/Publication: 2023-04-10 09:39:32 UTC
