=== debian/changelog ===
r-cran-rcsdp (0.1.57.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 17:04:59 +0200
