## r-cran-rcsdp 0.1.57.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: Rcsdp
-Version: 0.1.57.5
+Version: 0.1.57.6
 Title: R Interface to the CSDP Semidefinite Programming Library
 Authors@R: c(
     person("Hector", "Corrada Bravo", email="hcorrada@gmail.com", role=c("aut", "cre")),
@@ -16,11 +16,11 @@
 RoxygenNote: 7.0.2
 BugReports: https://github.com/hcorrada/rcsdp/issues
 NeedsCompilation: yes
-Packaged: 2023-04-10 09:36:22 UTC; hornik
+Packaged: 2025-06-23 10:22:38 UTC; hornik
 Author: Hector Corrada Bravo [aut, cre],
   Florian Schwendinger [ctb],
   Brian Borchers [aut],
   Don van den Bergh [ctb]
 Maintainer: Hector Corrada Bravo <hcorrada@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-04-10 09:39:32 UTC
+Date/Publication: 2025-06-23 10:24:35 UTC
